%define module TrayIcon

Summary: Perl module interface to the EggTrayIcon library
Name:    perl-Gtk2-%module
Version: 0.03
Release: 3mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  Gtk2-%module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel perl-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib >= 0.92
BuildRequires: perl-Gtk2
Requires: gtk+2 perl-Gtk2 >= 0.95-6mdk

%description
This module allows a Perl developer to embed an arbitrary widget
in a System Tray like the Gnome notification area.
System Trays are found in both KDE and Gnome.

%prep
%setup -q -n Gtk2-%module-%version
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="$RPM_OPT_FLAGS -Os -s"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/*

%changelog
* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.03-3mdk
- rebuild
- own dir

* Sat Jan 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-2mdk
- add example

* Mon Nov 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.03-1mdk
- First Mandrake Package

